BakedBrie docs

REST API

Most agents should use the MCP server. The same operations are plain HTTPS for scripts.

  • Base URL: https://api.bakedbrie.com
  • Auth: Authorization: Bearer <token>, a personal API token minted in BakedBrie settings. The token is bound to one workspace; X-Workspace-Id is optional and must match it.
  • Writes accept Idempotency-Key (reuse it only to retry the same call) and, where a revision applies, If-Match: "<revision>".
  • Responses are {"data": ..., "request_id": ..., "receipt_id": ...}; refusals are {"error": {"code", "message", ...}}. See the refusal guide.
  • Machine-readable: openapi.json (OpenAPI 3.1).

An operation whose capability is off answers 409 CAPABILITY_OFF. A Read only token can call only GET operations and preview-move.

MethodPathCapabilityMCP tool
GET/api/v1/boardsalways on[list_boards](/docs/reference/tools/list_boards)
POST/api/v1/boardsalways on[create_board](/docs/reference/tools/create_board), [setup_board](/docs/reference/tools/setup_board)
GET/api/v1/boards/{id}always on[read_board](/docs/reference/tools/read_board)
POST/api/v1/boards/{id}/agentsagents[create_agent_draft](/docs/reference/tools/create_agent_draft)
GET/api/v1/boards/{id}/cardsalways on[list_cards](/docs/reference/tools/list_cards)
POST/api/v1/boards/{id}/cardsalways on[create_card](/docs/reference/tools/create_card), [manage_schedule](/docs/reference/tools/manage_schedule)
GET/api/v1/cards/{id}always on[read_card](/docs/reference/tools/read_card)
POST/api/v1/cards/{id}/commands/movealways on[move_card](/docs/reference/tools/move_card)
POST/api/v1/cards/{id}/commands/preview-movealways on[preview_move](/docs/reference/tools/preview_move)
POST/api/v1/cards/{id}/commands/reorderalways on[reorder_card](/docs/reference/tools/reorder_card)
POST/api/v1/cards/{id}/commentsalways on[add_comment](/docs/reference/tools/add_comment)
GET/api/v1/v21/agentsagents
GET/api/v1/v21/agents/{id}agents[manage_agent](/docs/reference/tools/manage_agent)
POST/api/v1/v21/agents/{id}/commands/bind-ai-accountagents
POST/api/v1/v21/agents/{id}/commands/pauseagents[manage_agent](/docs/reference/tools/manage_agent)
POST/api/v1/v21/agents/{id}/commands/publishagents[publish_agent](/docs/reference/tools/publish_agent)
POST/api/v1/v21/agents/{id}/commands/resumeagents
POST/api/v1/v21/agents/{id}/commands/retireagents
PUT/api/v1/v21/agents/{id}/modelagents[set_agent_model](/docs/reference/tools/set_agent_model)
GET/api/v1/v21/agents/{id}/payeragents
GET/api/v1/v21/ai-accountsai_accounts[list_ai_accounts](/docs/reference/tools/list_ai_accounts)
POST/api/v1/v21/ai-accountsai_accounts[connect_ai_account](/docs/reference/tools/connect_ai_account)
DELETE/api/v1/v21/ai-accounts/{id}ai_accounts[remove_ai_account](/docs/reference/tools/remove_ai_account)
GET/api/v1/v21/ai-accounts/{id}ai_accounts[check_ai_account](/docs/reference/tools/check_ai_account)
POST/api/v1/v21/ai-accounts/{id}/commands/bindai_accounts[bind_ai_account](/docs/reference/tools/bind_ai_account)
POST/api/v1/v21/ai-accounts/{id}/commands/checkai_accounts
POST/api/v1/v21/ai-accounts/{id}/commands/set-runner-trustrunner
PUT/api/v1/v21/ai-accounts/{id}/keyai_accounts[replace_ai_account_key](/docs/reference/tools/replace_ai_account_key)
POST/api/v1/v21/ai-accounts/commands/unbindai_accounts[unbind_ai_account](/docs/reference/tools/unbind_ai_account)
GET/api/v1/v21/ai-modelsagents[list_ai_models](/docs/reference/tools/list_ai_models)
DELETE/api/v1/v21/board-connections/{id}connections[manage_board_connection](/docs/reference/tools/manage_board_connection)
GET/api/v1/v21/board-connections/{id}connections[manage_board_connection](/docs/reference/tools/manage_board_connection)
PATCH/api/v1/v21/board-connections/{id}connections[manage_board_connection](/docs/reference/tools/manage_board_connection)
POST/api/v1/v21/board-connections/{id}/commands/lower-limitsconnections[manage_board_connection](/docs/reference/tools/manage_board_connection)
GET/api/v1/v21/board-connections/{id}/usageconnections[manage_board_connection](/docs/reference/tools/manage_board_connection)
GET/api/v1/v21/board-connections/{id}/webhook-rulesconnections + connections_oauth + connection_webhooks[manage_connection_webhook](/docs/reference/tools/manage_connection_webhook)
POST/api/v1/v21/board-connections/{id}/webhook-rulesconnections + connections_oauth + connection_webhooks[manage_connection_webhook](/docs/reference/tools/manage_connection_webhook)
GET/api/v1/v21/boards/{board_id}/automations/{kind}/{owner_id}/send-modecontrol
GET/api/v1/v21/boards/{board_id}/automations/send-modecontrol[list_send_modes](/docs/reference/tools/list_send_modes)
GET/api/v1/v21/boards/{board_id}/send-noticescontrol
GET/api/v1/v21/boards/{board_id}/send-receiptscontrol[list_send_receipts](/docs/reference/tools/list_send_receipts)
GET/api/v1/v21/boards/{board_id}/send-reply-grants/{connection_id}control
GET/api/v1/v21/boards/{board_id}/send-reviewscontrol
GET/api/v1/v21/boards/{board_id}/trigger-sourcestriggers[list_trigger_sources](/docs/reference/tools/list_trigger_sources)
POST/api/v1/v21/boards/{id}/agentsagents[create_agent_draft](/docs/reference/tools/create_agent_draft)
GET/api/v1/v21/boards/{id}/connection-stepsconnections[manage_connection_step](/docs/reference/tools/manage_connection_step)
POST/api/v1/v21/boards/{id}/connection-stepsconnections[manage_connection_step](/docs/reference/tools/manage_connection_step)
GET/api/v1/v21/boards/{id}/connectionsconnections[manage_board_connection](/docs/reference/tools/manage_board_connection)
POST/api/v1/v21/boards/{id}/connectionsconnections[manage_board_connection](/docs/reference/tools/manage_board_connection)
GET/api/v1/v21/boards/{id}/destinationdestinations
PUT/api/v1/v21/boards/{id}/destinationdestinations[manage_destination](/docs/reference/tools/manage_destination)
POST/api/v1/v21/boards/{id}/device-pairingsmedia[pair_device](/docs/reference/tools/pair_device)
GET/api/v1/v21/boards/{id}/guidelinesagents + api_workflow[manage_board_guidelines](/docs/reference/tools/manage_board_guidelines)
PUT/api/v1/v21/boards/{id}/guidelinesagents + api_workflow[manage_board_guidelines](/docs/reference/tools/manage_board_guidelines)
GET/api/v1/v21/boards/{id}/hooksdestinations + api_workflow[manage_board_hooks](/docs/reference/tools/manage_board_hooks)
PUT/api/v1/v21/boards/{id}/hooksdestinations + api_workflow[manage_board_hooks](/docs/reference/tools/manage_board_hooks)
POST/api/v1/v21/boards/{id}/hooks/commands/cleardestinations + api_workflow[manage_board_hooks](/docs/reference/tools/manage_board_hooks)
POST/api/v1/v21/boards/{id}/job-stepsexternal_jobs[manage_job_step](/docs/reference/tools/manage_job_step)
GET/api/v1/v21/boards/{id}/learning-eventscontrol
GET/api/v1/v21/boards/{id}/projectioncontrol
POST/api/v1/v21/boards/{id}/rulestriggers[author_workflow_draft](/docs/reference/tools/author_workflow_draft)
POST/api/v1/v21/boards/{id}/schedulestriggers[manage_schedule](/docs/reference/tools/manage_schedule)
POST/api/v1/v21/boards/{id}/setupssetup[setup_board](/docs/reference/tools/setup_board)
GET/api/v1/v21/boards/{id}/stagescontrol
POST/api/v1/v21/boards/{id}/stagescontrol[manage_stages](/docs/reference/tools/manage_stages)
POST/api/v1/v21/boards/{id}/stages/commands/reordercontrol[manage_stages](/docs/reference/tools/manage_stages)
GET/api/v1/v21/boards/{id}/work-folderreviews
PUT/api/v1/v21/boards/{id}/work-folderreviews[set_work_folder](/docs/reference/tools/set_work_folder)
GET/api/v1/v21/cards/{id}/connection-requestsconnections[manage_connection_request](/docs/reference/tools/manage_connection_request)
POST/api/v1/v21/cards/{id}/connection-requestsconnections[request_connection](/docs/reference/tools/request_connection)
POST/api/v1/v21/cards/{id}/connection-requests/commands/previewconnections[request_connection](/docs/reference/tools/request_connection)
GET/api/v1/v21/cards/{id}/deliveriesdestinations
PUT/api/v1/v21/cards/{id}/destinationdestinations[manage_destination](/docs/reference/tools/manage_destination)
GET/api/v1/v21/cards/{id}/filesmedia[list_card_files](/docs/reference/tools/list_card_files)
GET/api/v1/v21/cards/{id}/files/{file_id}/linkmedia
POST/api/v1/v21/cards/{id}/files/linkmedia[attach_link](/docs/reference/tools/attach_link)
POST/api/v1/v21/cards/{id}/files/provider-filemedia[attach_provider_file](/docs/reference/tools/attach_provider_file)
POST/api/v1/v21/cards/{id}/files/transient-uploadmedia[attach_local_file](/docs/reference/tools/attach_local_file), [prepare_transient_upload](/docs/reference/tools/prepare_transient_upload)
GET/api/v1/v21/cards/{id}/outputs/{output_id}media[get_output](/docs/reference/tools/get_output)
GET/api/v1/v21/cards/{id}/resultcontrol
GET/api/v1/v21/connection-presetsconnections_oauth
GET/api/v1/v21/connection-requestsconnections[manage_connection_request](/docs/reference/tools/manage_connection_request)
GET/api/v1/v21/connection-requests/{id}connections[manage_connection_request](/docs/reference/tools/manage_connection_request)
POST/api/v1/v21/connection-requests/{id}/commands/cancelconnections[manage_connection_request](/docs/reference/tools/manage_connection_request)
POST/api/v1/v21/connection-requests/{id}/commands/check-againconnections[manage_connection_request](/docs/reference/tools/manage_connection_request)
POST/api/v1/v21/connection-requests/{id}/commands/continueconnections[manage_connection_request](/docs/reference/tools/manage_connection_request)
POST/api/v1/v21/connection-requests/{id}/commands/give-upconnections[manage_connection_request](/docs/reference/tools/manage_connection_request)
GET/api/v1/v21/connection-steps/{id}connections[manage_connection_step](/docs/reference/tools/manage_connection_step)
PATCH/api/v1/v21/connection-steps/{id}connections[manage_connection_step](/docs/reference/tools/manage_connection_step)
POST/api/v1/v21/connection-steps/{id}/commands/pauseconnections[manage_connection_step](/docs/reference/tools/manage_connection_step)
POST/api/v1/v21/connection-steps/{id}/commands/resumeconnections[manage_connection_step](/docs/reference/tools/manage_connection_step)
GET/api/v1/v21/connection-webhooksconnections + connections_oauth + connection_webhooks[manage_connection_webhook](/docs/reference/tools/manage_connection_webhook)
GET/api/v1/v21/connection-webhooks/{id}connections + connections_oauth + connection_webhooks[manage_connection_webhook](/docs/reference/tools/manage_connection_webhook)
POST/api/v1/v21/connection-webhooks/{id}/commands/pauseconnections + connections_oauth + connection_webhooks[manage_connection_webhook](/docs/reference/tools/manage_connection_webhook)
POST/api/v1/v21/connection-webhooks/{id}/commands/resumeconnections + connections_oauth + connection_webhooks[manage_connection_webhook](/docs/reference/tools/manage_connection_webhook)
GET/api/v1/v21/connection-webhooks/{id}/eventsconnections + connections_oauth + connection_webhooks[manage_connection_webhook](/docs/reference/tools/manage_connection_webhook)
GET/api/v1/v21/connectionsconnections[manage_connection](/docs/reference/tools/manage_connection)
POST/api/v1/v21/connectionsconnections[manage_connection](/docs/reference/tools/manage_connection)
DELETE/api/v1/v21/connections/{id}connections[manage_connection](/docs/reference/tools/manage_connection)
GET/api/v1/v21/connections/{id}connections[manage_connection](/docs/reference/tools/manage_connection)
PATCH/api/v1/v21/connections/{id}connections[manage_connection](/docs/reference/tools/manage_connection)
POST/api/v1/v21/connections/{id}/commands/check-keyconnections[manage_connection](/docs/reference/tools/manage_connection)
POST/api/v1/v21/connections/{id}/commands/disableconnections[manage_connection](/docs/reference/tools/manage_connection)
POST/api/v1/v21/connections/{id}/commands/enableconnections[manage_connection](/docs/reference/tools/manage_connection)
POST/api/v1/v21/connections/{id}/commands/lower-ceilingconnections[manage_connection](/docs/reference/tools/manage_connection)
POST/api/v1/v21/connections/{id}/commands/previewconnections[manage_connection](/docs/reference/tools/manage_connection)
POST/api/v1/v21/connections/{id}/commands/replace-keyconnections[manage_connection](/docs/reference/tools/manage_connection)
GET/api/v1/v21/connections/{id}/key-checks/{key_check_id}connections[manage_connection](/docs/reference/tools/manage_connection)
GET/api/v1/v21/connections/{id}/oauthconnections + connections_oauth
POST/api/v1/v21/connections/{id}/oauth/prepareconnections + connections_oauth
POST/api/v1/v21/connections/{id}/webhookconnections + connections_oauth + connection_webhooks[manage_connection_webhook](/docs/reference/tools/manage_connection_webhook)
POST/api/v1/v21/connections/commands/previewconnections[manage_connection](/docs/reference/tools/manage_connection)
GET/api/v1/v21/deliveries/{id}destinations
POST/api/v1/v21/deliveries/{id}/commands/redeliverdestinations[redeliver](/docs/reference/tools/redeliver)
GET/api/v1/v21/destinationsdestinations
POST/api/v1/v21/destinationsdestinations[manage_destination](/docs/reference/tools/manage_destination)
GET/api/v1/v21/destinations/{id}destinations[manage_destination](/docs/reference/tools/manage_destination)
PUT/api/v1/v21/destinations/{id}destinations[manage_destination](/docs/reference/tools/manage_destination)
POST/api/v1/v21/destinations/{id}/commands/complete-oauthdestinations[manage_destination](/docs/reference/tools/manage_destination)
POST/api/v1/v21/destinations/{id}/commands/disabledestinations[manage_destination](/docs/reference/tools/manage_destination)
POST/api/v1/v21/destinations/{id}/commands/previewdestinations + api_workflow
POST/api/v1/v21/destinations/{id}/commands/testdestinations[manage_destination](/docs/reference/tools/manage_destination)
POST/api/v1/v21/destinations/{id}/commands/test-calldestinations + api_workflow
GET/api/v1/v21/destinations/{id}/test-calls/{test_call_id}destinations + api_workflow
POST/api/v1/v21/destinations/commands/previewdestinations + api_workflow
POST/api/v1/v21/device-pairings/redeemmedia[pair_device](/docs/reference/tools/pair_device)
POST/api/v1/v21/devices/{id}/filesmedia[pair_device](/docs/reference/tools/pair_device)
POST/api/v1/v21/devices/{id}/heartbeatmedia
POST/api/v1/v21/dispatch/commands/pausedispatch[pause_workspace_dispatch](/docs/reference/tools/pause_workspace_dispatch)
POST/api/v1/v21/dispatch/commands/resumedispatch[resume_workspace_dispatch](/docs/reference/tools/resume_workspace_dispatch)
GET/api/v1/v21/inbound-endpointsinbound + api_workflow[manage_inbound_endpoint](/docs/reference/tools/manage_inbound_endpoint)
POST/api/v1/v21/inbound-endpointsinbound + api_workflow[manage_inbound_endpoint](/docs/reference/tools/manage_inbound_endpoint)
GET/api/v1/v21/inbound-endpoints/{id}inbound + api_workflow[manage_inbound_endpoint](/docs/reference/tools/manage_inbound_endpoint)
PUT/api/v1/v21/inbound-endpoints/{id}inbound + api_workflow[manage_inbound_endpoint](/docs/reference/tools/manage_inbound_endpoint)
POST/api/v1/v21/inbound-endpoints/{id}/commands/disableinbound + api_workflow[manage_inbound_endpoint](/docs/reference/tools/manage_inbound_endpoint)
GET/api/v1/v21/job-steps/{id}external_jobs[manage_job_step](/docs/reference/tools/manage_job_step)
POST/api/v1/v21/job-steps/{id}/commands/pauseexternal_jobs[manage_job_step](/docs/reference/tools/manage_job_step)
POST/api/v1/v21/job-steps/{id}/commands/resumeexternal_jobs[manage_job_step](/docs/reference/tools/manage_job_step)
GET/api/v1/v21/member-mappingsinbound + api_workflow[manage_member_mapping](/docs/reference/tools/manage_member_mapping)
POST/api/v1/v21/member-mappingsinbound + api_workflow[manage_member_mapping](/docs/reference/tools/manage_member_mapping)
POST/api/v1/v21/member-mappings/{id}/commands/removeinbound + api_workflow[manage_member_mapping](/docs/reference/tools/manage_member_mapping)
GET/api/v1/v21/questionscontrol
GET/api/v1/v21/resultsdestinations[list_results](/docs/reference/tools/list_results)
GET/api/v1/v21/reviewsreviews[list_reviews](/docs/reference/tools/list_reviews)
GET/api/v1/v21/reviews/{id}reviews[get_review](/docs/reference/tools/get_review)
POST/api/v1/v21/reviews/{id}/commands/decidereviews[decide_review](/docs/reference/tools/decide_review)
POST/api/v1/v21/rules/{id}/commands/pausetriggers
POST/api/v1/v21/rules/{id}/commands/publishtriggers[publish_workflow](/docs/reference/tools/publish_workflow)
GET/api/v1/v21/runner-devicesrunner
POST/api/v1/v21/runner/claimrunner (runner key only)
POST/api/v1/v21/runner/heartbeatrunner (runner key only)
POST/api/v1/v21/runner/hellorunner (runner key only)
POST/api/v1/v21/runner/runs/{id}/completerunner (runner key only)
POST/api/v1/v21/runner/runs/{id}/failrunner (runner key only)
POST/api/v1/v21/runner/runs/{id}/startrunner (runner key only)
POST/api/v1/v21/runner/runs/{id}/uploadsrunner (runner key only)
POST/api/v1/v21/schedule-runs/{id}/cardstriggers
POST/api/v1/v21/schedules/{id}/commands/pausetriggers
POST/api/v1/v21/schedules/{id}/commands/publishtriggers
POST/api/v1/v21/schedules/{id}/commands/resumetriggers
POST/api/v1/v21/schedules/{id}/commands/run-nowtriggers[manage_schedule](/docs/reference/tools/manage_schedule)
GET/api/v1/v21/schedules/{id}/historytriggers
GET/api/v1/v21/schedules/{id}/previewtriggers
POST/api/v1/v21/secret-dropssecrets[prepare_secret](/docs/reference/tools/prepare_secret)
PUT/api/v1/v21/secret-drops/{id}secrets[prepare_secret](/docs/reference/tools/prepare_secret)
POST/api/v1/v21/setups/{id}/commands/undosetup[undo_setup](/docs/reference/tools/undo_setup)
GET/api/v1/v21/slack-app/installsslack_app + inbound + api_workflow
DELETE/api/v1/v21/stages/{id}control[manage_stages](/docs/reference/tools/manage_stages)
PUT/api/v1/v21/stages/{id}control[manage_stages](/docs/reference/tools/manage_stages)
GET/api/v1/v21/trigger-sources/{id}triggers[get_trigger_source](/docs/reference/tools/get_trigger_source)
GET/api/v1/v21/triggerstriggers[list_triggers](/docs/reference/tools/list_triggers)
PUT/api/v1/v21/uploads/{id}media[attach_local_file](/docs/reference/tools/attach_local_file), [prepare_transient_upload](/docs/reference/tools/prepare_transient_upload)
GET/api/v1/v21/webhook-rules/{id}connections + connections_oauth + connection_webhooks[manage_connection_webhook](/docs/reference/tools/manage_connection_webhook)
PATCH/api/v1/v21/webhook-rules/{id}connections + connections_oauth + connection_webhooks[manage_connection_webhook](/docs/reference/tools/manage_connection_webhook)
POST/api/v1/v21/webhook-rules/{id}/commands/pauseconnections + connections_oauth + connection_webhooks[manage_connection_webhook](/docs/reference/tools/manage_connection_webhook)
POST/api/v1/v21/webhook-rules/{id}/commands/resumeconnections + connections_oauth + connection_webhooks[manage_connection_webhook](/docs/reference/tools/manage_connection_webhook)
GET/api/v1/v21/whoamicontrol[whoami](/docs/reference/tools/whoami)
POST/api/v1/v21/workspace/commands/renamecontrol[rename_workspace](/docs/reference/tools/rename_workspace)
GET/api/v1/v21/workspace/sender-profilescontrol
GET/api/v1/v21/workspace/suppressionscontrol

View as Markdown